# frozen_string_literal: true

module Fizzy
  module Api
    module Endpoints
      shared_examples_for 'an endpoint' do
        it 'should define a process response method' do
          expect(subject.methods).to include(:process_response)
        end
        it 'should define an invalid response method' do
          methods = subject.private_methods + subject.methods
          expect(methods).to include(:invalid_response)
        end
        it 'should define a select_measurement_text method' do
          expect(subject.methods).to include(:select_measurement_text)
        end
      end
    end
  end
end
